Subject: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Juanma Barranquero <[email-masked]>
Date: Sun, 15 Nov 2015 12:54:32 +0100

On Fri, Nov 13, 2015 at 7:55 PM, Eli Zaretskii <[email-masked]> wrote:

> If a daemon is exiting that was not invoked with -Q, yes, I think YES
> will always make more sense than NO.  Can you tell why you aren't
> sure?

ask-if-new with default to YES is safe. In the other two cases, it is
impossible to decide a priori whether it is more important to protect an
existing .desktop file or the desktop configuration on the running instance.

But I'm OK with defaulting to YES and waiting for the bug reports.